Skip to main content
`Ctrl`+`K`

# SNESFASSetRScale

Sets the scaling factor of the restriction operator from level l to l-1.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetRScale(SNES snes, PetscInt level, Vec rscale)

## Input Parameters

- snes - the `SNESFAS` nonlinear multigrid context

- rscale - the restriction scaling

- level - the level (0 is coarsest) to supply [Do not supply 0]

## Note

This is only used when the injection is not set.

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESFAS`, `SNESFASSetInjection()`, `SNESFASSetRestriction()`

## Level

advanced

## Location

src/snes/impls/fas/fasfunc.c

Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages